Name:           kernel-tab2
Version:        6.8.0
Release:        1%{?dist}
Summary:        kernel for the pinetab2

License:        GPLv3+
URL:            https://github.com/TuxThePenguin0/linux
Source0:        pinephones.tar.gz
#Source0:        pinetab2.tar.gz
#Source1:        sun50i-a64-pinetab.dtb
#Source1:        boot.cmd
#Source2:        boot.scr
#Source3:        update-boot-script.sh
#Requires:       pp-uboot 
#Requires:       pinetab-helpers >= 0.0.8-3
#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

#BuildArch:      noarch

%description
Linux Kernel for PineTab2.

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones
####autosetup -p1 -n pinetab2

%install
mkdir -p $RPM_BUILD_ROOT/boot/efi
cp -f Image $RPM_BUILD_ROOT/boot/efi/
cp linux.config $RPM_BUILD_ROOT/boot/efi/
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/



%files
/boot/efi/Image
/boot/efi/linux.config
#/boot/efi/boot.cmd
#/boot/efi/boot.scr
#/boot/efi/update-boot-script.sh
/lib/modules/
/boot/efi/rockchip/*
#rk3566-pinetab2-v2.0.dtb

%changelog
* Thu Mar 14 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0-1

* Mon Mar 04 2024 Yoda - 6.8.0-rc5.1
- Based on orangepi_defconfig
- Upgrade to 6.8.0-rc5.1

* Mon Feb 19 2024 Yoda - 6.8.0-rc4
- Based on orangepi_defconfig
- Upgrade to 6.8.0-rc4

* Mon Jan 08 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0
- -4 pinetab2 med flere ting added

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Mon Oct 09 2023 Yoda - 6.6.0-rc4
- Upgrade to 6.6.0-rc4

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Thu Jul 20 2023 Yoda - 6.4.4-1
- Upgrade to 6.4.4

* Thu Jun 8 2023 Yoda - 6.3.0-rc3
- Initial packaging
